using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Questions
{
    /// <summary>
    /// 关联课件
    /// </summary>
    [Description("关联课件")]
    public class TestPaperItemSourcewareDto:UpdateTestPaperItemSourcewareDto
    {

    }

    /// <summary>
    /// 关联课件
    /// </summary>
    [Description("关联课件")]
    public class AddTestPaperItemSourcewareDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 课件Id
        /// </summary>
        [Description("课件Id")]
        public string SourcewareId { get; set; }

        /// <summary>
        /// 课件
        /// </summary>
        [Description("课件")]
        public string Name { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }
    }

    /// <summary>
    /// 关联课件
    /// </summary>
    [Description("关联课件")]
    public class UpdateTestPaperItemSourcewareDto : AddTestPaperItemSourcewareDto, IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
